import { DetailDateTimeRangeFieldWidget } from './DetailDateTimeRangeFieldWidget';
export declare class DetailYearRangeFieldWidget extends DetailDateTimeRangeFieldWidget {
    protected get defaultFormat(): string;
    protected get format(): string | undefined;
    protected get valueFormat(): string;
    protected hasDateFormat: boolean;
    protected hasTimeFormat: boolean;
}
